Subject: Re: [PATCH v2 0/7] odb: track multi-pack-indices via their object sources

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 24 Jul 2025 10:00:02 +0200

On Wed, Jul 23, 2025 at 02:22:08PM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Changes in v2:
> >   - Changed the base of this series. It is now built on top of
> >     a30f80fde92 (The eighth batch, 2025-07-08) with "ps/object-store" at
> >     841a03b4046 (odb: rename `read_object_with_reference()`, 2025-07-01)
> >     and "tb/midx-avoid-cruft-packs" at 5ee86c273bf (repack: exclude
> >     cruft pack(s) from the MIDX where possible, 2025-06-23) merged into
> >     it.
> >   - Re-explain the split between object databases and object sources
> >     to help readers out a bit, given that this is a rather recent
> >     change.
> >   - Rename `struct odb_source::multi_pack_index` to `struct
> >     odb_source::midx`.
> >   - Fix some overly long lines when looping through the individual
> >     sources.
> >   - Drop the patch that guards re-loading MIDXs, as we already have the
> >     guard via `packed_git_initialized`.
> >   - Remove some while-at-it changes to make the diffs easier to read.
> >   - Link to v1: https://lore.kernel.org/r/[email-masked]
> 
> Shall we mark the topic for 'next' now?
> 
> We haven't seen any comments on this iteration.

Almost all of the comments on the previous version were about style, so
nothing significant has changed in this version except for a couple of
renames and style fixes. Which means that I'm fine with the comments I
got for v1, but I wouldn't mind waiting two or three more days until
this gets merged down.

Patrick